import pystencils as ps
from lbmpy import Stencil, LBStencil
from pystencilssfg import SourceFileGenerator
from walberla.codegen.communication import GpuPdfFieldPackInfo
from walberla.codegen.build_config import DEBUG_MOCK_CMAKE

DEBUG_MOCK_CMAKE.use_hip_default()

with SourceFileGenerator() as sfg:
    stencil = LBStencil(Stencil.D3Q19)
    field = ps.fields(f"f({stencil.Q}): double[{stencil.D}D]")
    sfg.generate(GpuPdfFieldPackInfo("PackInfo", stencil, field))
